<?php

namespace Elimuswift\Tenancy\Models;

use Carbon\Carbon;
use Elimuswift\Tenancy\Abstracts\SystemModel;

/**
 * @property int $id
 * @property string $uuid
 * @property Carbon $created_at
 * @property Carbon $updated_at
 * @property Carbon $deleted_at
 * @property int $customer_id
 * @property Customer $customer
 * @property Hostname[] $hostnames
 */
class Website extends SystemModel
{
    /**
     * @return \Illuminate\Database\Eloquent\Relations\BelongsTo
     */
    public function customer()
    {
        return $this->belongsTo(Customer::class);
    }

    /**
     * @return \Illuminate\Database\Eloquent\Relations\HasMany
     */
    public function hostnames()
    {
        return $this->hasMany(Hostname::class);
    }
}
